module Blackfire
  module QueryTrace
    class QueryDetails
      include Comparable
      attr_accessor :sql, :order, :method

      def initialize(sql, order, method)
        @sql = sql
        @order = order
        @method = method
      end

      def <=>(other)
        order <=> other.order
      end
    end
  end
end
