# frozen_string_literal: true

module Sequel
  class Database
    alias log_duration_original log_duration
    def log_duration(duration, message)
      ::Blackfire.record_sql(message, duration * 1000)
      log_duration_original(duration, message)
    end
  end
end
